'use strict'

const swaggerAutogen = require('swagger-autogen')()
const outputFile = './swagger-output.json'
const endpointsFiles = ['./app.js']
const doc = {
  info: {
    version: "1.0.0",
    title: "Aizul DEV API",
    description: "Documentation automatically generated by the <b>swagger-autogen</b> module."
  },
  host: "http://api.aizul-dev.my.id",
  basePath: "/",
  schemes: ['http', 'https'],
  consumes: ['application/json'],
  produces: ['application/json'],
  tags: [
    {
      "name": "Tools",
      "description": "Client tools API"
    }
  ],
  securityDefinitions: {
    "Bearer": {
      "type": "apiKey",
      "name": "Authorization",
      "in": "header",
      "description": "Enter your bearer token in the format **Bearer &lt;token>**"
    }
  },
  security: [{ "Bearer": [] }],
  definitions: {
    ToolsProvince: {
      message: 'string',
      data: [
        {
          $id: 15,
          $name: 'JAWA TIMUR'
        }
      ]
    },
    ToolsCity: {
      message: 'string',
      data: [
        {
          $id: 230,
          $name: 'KAB. TRENGGALEK'
        }
      ]
    },
    ToolsSource: {
      message: 'string',
      data: [
        {
          $id: 0,
          $name: 'Lainnya'
        }
      ]
    },
  }
}

swaggerAutogen(outputFile, endpointsFiles, doc).then(() => {
  process.exit(0)
})